import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.storefronts.codeStart("STOREFRONT_ID");<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->storefronts->codeStart('STOREFRONT_ID');
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.storefronts.codeStart("STOREFRONT_ID")
curl --request POST \
--url https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": {
"storefront": {
"id": "93618f34-cfad-44d8-a677-253b7238f272",
"name": "Autumn look, second go",
"theme": "keystone",
"themeVersion": "2.6.0",
"published": false,
"publishedAt": null,
"live": false,
"createdAt": "2026-10-22T16:20:20Z",
"updatedAt": "2026-10-22T16:20:20Z",
"code": true,
"engine": "files",
"codeOnCopy": null,
"unpublished": false,
"accent": null,
"headingFont": null,
"pages": 6
},
"theme": "keystone",
"available": true,
"started": true,
"version": 1,
"code": {
"rev": 1,
"ahead": 107,
"designAhead": true,
"base": "2.6.0",
"files": [
{
"path": "assets/theme.css",
"hash": "5b682f97f28a435c9925b811f88717c9ef845de4df0517b9582dfe25383bcd9c",
"size": 177667,
"added": false,
"changed": false,
"updatedAt": "2026-10-22T16:20:20Z"
},
{
"path": "assets/theme.js",
"hash": "ff1c708528bdf701288651d9e625dab13517f375460d1b206be9e8243345ccf0",
"size": 144234,
"added": false,
"changed": false,
"updatedAt": "2026-10-22T16:20:20Z"
}
],
"problems": [],
"limits": {
"files": 150,
"fileBytes": 262144,
"bytes": 3145728,
"used": 855368
},
"folders": {
"layout": [
"liquid"
],
"pages": [
"liquid"
],
"elements": [
"liquid"
],
"parts": [
"liquid"
],
"assets": [
"css",
"js"
],
"locales": [
"json"
],
"config": [
"json"
]
}
},
"versions": [],
"preview": {
"url": "https://northwind.myshoply.gg",
"param": "shoply_preview",
"token": "93618f34-cfad-44d8-a677-253b7238f272.1792689620.882d8ad47e28f67f6c4cafd72eadbed89290ea46",
"seconds": 3600,
"pages": [
{
"name": "Home",
"path": "/"
},
{
"name": "All products",
"path": "/products/"
}
]
}
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Give a storefront files
Gives a storefront files of its own, copied from its theme’s, as opening the code studio does. Until then it is drawn from its theme’s files and follows them as they change. Nothing buyers see changes. Refused with code_needs_copy for a storefront from before its theme could be edited as code: make a copy of it (“Create a storefront” with from) and work on that. Answers as “Get a storefront’s code”.
Needs the storefronts.write permission (Change Storefronts).
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.storefronts.codeStart("STOREFRONT_ID");<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->storefronts->codeStart('STOREFRONT_ID');
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.storefronts.codeStart("STOREFRONT_ID")
curl --request POST \
--url https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/storefronts/{storefrontId}/code/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": {
"storefront": {
"id": "93618f34-cfad-44d8-a677-253b7238f272",
"name": "Autumn look, second go",
"theme": "keystone",
"themeVersion": "2.6.0",
"published": false,
"publishedAt": null,
"live": false,
"createdAt": "2026-10-22T16:20:20Z",
"updatedAt": "2026-10-22T16:20:20Z",
"code": true,
"engine": "files",
"codeOnCopy": null,
"unpublished": false,
"accent": null,
"headingFont": null,
"pages": 6
},
"theme": "keystone",
"available": true,
"started": true,
"version": 1,
"code": {
"rev": 1,
"ahead": 107,
"designAhead": true,
"base": "2.6.0",
"files": [
{
"path": "assets/theme.css",
"hash": "5b682f97f28a435c9925b811f88717c9ef845de4df0517b9582dfe25383bcd9c",
"size": 177667,
"added": false,
"changed": false,
"updatedAt": "2026-10-22T16:20:20Z"
},
{
"path": "assets/theme.js",
"hash": "ff1c708528bdf701288651d9e625dab13517f375460d1b206be9e8243345ccf0",
"size": 144234,
"added": false,
"changed": false,
"updatedAt": "2026-10-22T16:20:20Z"
}
],
"problems": [],
"limits": {
"files": 150,
"fileBytes": 262144,
"bytes": 3145728,
"used": 855368
},
"folders": {
"layout": [
"liquid"
],
"pages": [
"liquid"
],
"elements": [
"liquid"
],
"parts": [
"liquid"
],
"assets": [
"css",
"js"
],
"locales": [
"json"
],
"config": [
"json"
]
}
},
"versions": [],
"preview": {
"url": "https://northwind.myshoply.gg",
"param": "shoply_preview",
"token": "93618f34-cfad-44d8-a677-253b7238f272.1792689620.882d8ad47e28f67f6c4cafd72eadbed89290ea46",
"seconds": 3600,
"pages": [
{
"name": "Home",
"path": "/"
},
{
"name": "All products",
"path": "/products/"
}
]
}
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Authorizations
A secret API key, made under Developers in the dashboard: Authorization: Bearer shoply_sk_...
Headers
A word of your own for this one change, up to 180 letters, digits, dots, dashes, underscores and colons. Sent again with the same key, the request is not carried out twice: the first answer comes back, with Idempotent-Replay: true.
Path Parameters
The store's ID. A key reaches the store it was made in: GET /key answers which.
The storefront.

